MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023267Community[OCCT] OCCT:Foundation Classespublic2012-07-12 14:102013-04-29 15:22
ReporterPawel 
Assigned Toomy 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023267: cppcheck warning: Using 'memcpy' on class that contains a virtual method
DescriptionThis warning is issued by cppcheck in MMgt_StackManager.cxx lines 176:

memcpy((char *)aStack, (char *)anElement, sizeof(_Element));
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023284closedomy Using 'memcpy' on class that contains a virtual method 

-  Notes
(0023153)
omy (developer)
2013-01-25 15:03

Dear KGV,
Fix is implemented into branch CR23267.
Please, review.
(0023155)
kgv (developer)
2013-01-25 15:13

Dear omy,

method Msg() was used only by other removed virtual methods. Please remove it as well.
Please do not mess up different issues in single branch.
(0023158)
omy (developer)
2013-01-25 16:43

Dear kgv,
I removed the noticed method.
Please, review.
(0023160)
kgv (developer)
2013-01-25 16:47

>> Please do not mess up different issues in single branch.
(0023161)
omy (developer)
2013-01-25 17:19

Dear kgv,
Branch CR23267_1 is correct.
Review it please.
(0023162)
kgv (developer)
2013-01-25 17:26

Reviewed without remarks.
(0023212)
mkv (tester)
2013-01-30 18:44

Dear BugMaster,

Branch CR23267_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 85 (85 on master)

products component :
Linux: 9 (9 on master)
Windows: 54 (54 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 222954420 / 223244240
Total CPU difference: 7845.300000000371 / 8336.85000000054

Testing on Windows:
Total MEMORY difference: 298343236 / 298130444
Total CPU difference: 11326.546875 / 11645.6875

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 9254e07c
Timestamp: 2013-02-01 11:39:38
Author: omy
Details ] Diff ]
0023267: cppcheck warning: Using 'memcpy' on class that contains a virtual method

Removed class _BaseElement, thus _Element's functions are not virtual now.
Removed redundant Msg() function from _Element class.
mod - src/MMgt/MMgt_StackManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-12 14:10 Pawel New Issue
2012-07-12 14:10 Pawel Assigned To => bugmaster
2012-07-16 13:25 Pawel Relationship added related to 0023284
2012-10-11 13:27 oan Assigned To bugmaster => isn
2012-10-11 13:28 oan Status new => assigned
2012-10-23 18:41 abv Target Version 6.5.4 => 6.6.0
2012-10-26 17:53 abv Assigned To isn => omy
2013-01-25 15:03 omy Note Added: 0023153
2013-01-25 15:03 omy Assigned To omy => kgv
2013-01-25 15:03 omy Status assigned => resolved
2013-01-25 15:13 kgv Note Added: 0023155
2013-01-25 15:13 kgv Assigned To kgv => omy
2013-01-25 15:13 kgv Severity minor => trivial
2013-01-25 15:13 kgv Reproducibility have not tried => N/A
2013-01-25 15:13 kgv Status resolved => assigned
2013-01-25 16:43 omy Note Added: 0023158
2013-01-25 16:43 omy Assigned To omy => kgv
2013-01-25 16:43 omy Status assigned => resolved
2013-01-25 16:47 kgv Note Added: 0023160
2013-01-25 16:47 kgv Assigned To kgv => omy
2013-01-25 16:47 kgv Status resolved => assigned
2013-01-25 17:19 omy Note Added: 0023161
2013-01-25 17:19 omy Status assigned => resolved
2013-01-25 17:19 omy Assigned To omy => kgv
2013-01-25 17:26 kgv Note Added: 0023162
2013-01-25 17:26 kgv Assigned To kgv => bugmaster
2013-01-25 17:26 kgv Status resolved => reviewed
2013-01-25 18:20 mkv Assigned To bugmaster => mkv
2013-01-30 18:44 mkv Note Added: 0023212
2013-01-30 18:45 mkv Test case number => Not needed
2013-01-30 18:45 mkv Assigned To mkv => bugmaster
2013-01-30 18:45 mkv Status reviewed => tested
2013-02-04 14:47 omy Changeset attached => occt master 9254e07c
2013-02-04 14:47 omy Assigned To bugmaster => omy
2013-02-04 14:47 omy Status tested => verified
2013-02-04 14:47 omy Resolution open => fixed
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:22 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker